<app-base-layout [enableMobileHeader]="true" title="{{investmentDetails?.company_name}} ({{investmentDetails?.company_symbol}})" [enableDeskTopHeader] ="true" [enableDeskTopHeaderAction]="true" >
  <div class="container" style="margin-bottom: 85px;">
    <div class="row">
      <div class="col-12 col-md-8">
        <div class="col-12 portfolio-card-detail">
          <div class="card">
            <div class="card-body">
              <div class="row">
                <div class="col-12 mb-4">
                  <app-card-stats *ngIf="stats" class="value" [stats]="stats" [is_positive]="isPositive"></app-card-stats>
    
                <!-- <div class="value" [ngClass]="(investmentDetails?.isProfit)?'positive':'negative'">{{investmentDetails?.diffAmount}}</div> -->
                <div class="title">P&L</div>
              </div>
              <div class="col-12 mb-4">
                <div class="value">{{investmentDetails?.xirr || 0}}</div>
                <div class="title">XIRR <img src="assets/icons/questionmark.svg" class="ml-3"></div>
              </div>
              <div class="col-6 mb-4">
                <div class="value">{{investmentDetails?.buy_price}}</div>
                <div class="title">Invested</div>
              </div>
              <div class="col-6 mb-4">
                <div class="value">{{investmentDetails?.company_current_price}}</div>
                <div class="title">Current</div>
              </div>
              <div class="col-12">
                <div class="value">{{investmentDetails?.quantity}}</div>
                <div class="title">Units</div>
              </div>
              </div>
              
            </div>
          </div>
        </div>
        <div class="col-12 mt-3">
          <div class="heading">Transaction History</div>
        <ng-container *ngFor="let history of this.transactionHistory">
          <div class="card mb-2">
            <div class="card-body">
              
                <div class="row mb-3">
                    <div class="col">
                        <div class="value">{{history.createdAt  | date:'dd-MMM-yyyy'}}</div>
                        <!-- <div class="text">Date</div> -->
                    </div>
                    
                  <div class="col text-right">
                    <span *ngIf="history.status == 0" class="status pending">Pending</span>
                    <span *ngIf="history.status == 1" class="status completed">Completed</span>
                    <span *ngIf="history.status == 2" class="status partially-executed">Partially-Executed</span>
                    <span *ngIf="history.status == 3" class="status rejected">Rejected</span>
                    <span *ngIf="history.status == 4" class="status canceled">Canceled</span>
                  </div>
                </div>
                <div class="row">
                  <div class="col">
                    <div class="value">{{history.price}}</div>
                    <div class="text">Amount</div>
                </div>
                  <div class="col">
                    <div class="value">{{history.quantity}}</div>
                    <div class="text">Units</div>
                </div>
                <div class="col">
                  <div class="value">{{history.trade_action}}</div>
                  <div class="text">Trade</div>
              </div>
              </div>
            </div>
        </div>
        </ng-container>
        <div class="mobile-btn-common card" *ngIf="!loading && showLoadBtn">
          <button class="btn" (click)="loadMore()">load more</button>
        </div>
        <div *ngIf="loading" class="text-center">loading...</div>
      </div>
      </div>
      <div class="col-md-4 d-none d-md-block">
        <div class="row d-none d-lg-flex">
          <div class="col">
            <button class="btn btn-buy"
              (click)="openBuyStocksModal(BuyStocksModal,tradeActionOption.BUY)">INVEST</button>
          </div>
          <div class="col">
            <button class="btn btn-sell"
              (click)="openBuyStocksModal(BuyStocksModal ,tradeActionOption.SELL)">Sell</button>
          </div>
        </div>
      </div>
      <!-- potfolio myinvestment detail screen -->

    </div>
    
    <div class="col-12 order-6  bottom-fixed-btn d-lg-none">
        <div class="row">
          <!-- <div class="col-2 col-2 text-center">
            <div ngbDropdown>
              <button class="btn btn-link" id="dropdownConfig" ngbDropdownToggle><img src="assets/icons/3dot-icons.svg"></button>
              <div ngbDropdownMenu aria-labelledby="dropdownConfig">
                <button ngbDropdownItem  (click)=navigateTransationHistory()>Transaction History</button>
                <button ngbDropdownItem (click) = "comingSoon()">SIP</button>
                <button ngbDropdownItem (click) = "comingSoon()">Capital gains statement</button>
              </div>
            </div>
          </div> -->
          <div class="col-6">
            <button class="btn btn-buy" (click)="openBuyStocksModal(BuyStocksModal, tradeActionOption.BUY)">INVEST</button>
          </div>
          <div class="col-6">
            <button class="btn btn-sell"
              (click)="openBuyStocksModal(BuyStocksModal, tradeActionOption.SELL)">Sell</button>
          </div>
        </div>
      </div>
  </div>

  
  <ng-template #BuyStocksModal let-c="close" let-d="dismiss">
    <form [formGroup]="orderForm" (ngSubmit)="onOrderFormSubmit(confermModal)" *ngIf="stockPreOrderDetail">
      <div class="BuyStocksmodal">
        <div class="modal-header">
          <div class="header">
            <h4 class="modal-title pb-1" id="modal-basic-title">{{investmentDetails?.company_name}}</h4>
            <span>${{stockPreOrderDetail.price | number : '1.2-2'}}</span><span class="px-3 clr" [ngClass]="{'gain-color': stockPreOrderDetail.priceDiff > 0 , 'loss-color':stockPreOrderDetail.priceDiff < 0  }" >{{stockPreOrderDetail.priceDiff | number : '1.2-2' | signCurrency}}</span><span class="clr" [ngClass]="{'gain-color': stockPreOrderDetail.priceDiffPercentage > 0 , 'loss-color':stockPreOrderDetail.priceDiffPercentage < 0  }"> {{stockPreOrderDetail.priceDiffPercentage | number : '1.2-2'}}%</span>
          </div>
          <button type="button" class="close" (click)="closeModal()">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body overflow-auto">
          
          <div class="form-group pt-3">
            <input type="number" class="form-control" formControlName="quantity" placeholder="Quantity" />
            <span class="has-error" *ngIf="!orderForm.get('quantity').valid && (orderForm.get('quantity').touched || orderForm.get('quantity').dirty )">
              Quantity is invalid
            </span>
          </div>

          <div class="row">
            <div class="col-6">
            <div class="form-group pt-3">
              <select class="form-control" style="width: 100%;" name="orderType"  formControlName="orderType" >
                <option *ngFor="let orderType of stockPreOrderDetail.orderType" [value]="orderType" >{{orderType}}</option>
              </select>
            </div>
          </div>
          <div class="col-6">
            <div class="from-group pt-3">
              <div class="input-group">
                <input type="number" class="form-control" formControlName="price" placeholder="0" />
                <div class="input-group-append">
                  <span class="input-group-text">$</span>
                </div>
              </div>
              <div class="separator" style="width: 100%; height: 26px"></div>
            </div>
            </div>

            <div class="col-6" *ngIf="stopPriceSection"> 
          <div class="from-group pt-3">
            <div class="input-group">
              <input type="number" class="form-control" formControlName="stopPrice" placeholder="stop Price" />
              <div class="input-group-append">
                <span class="input-group-text">$</span>
              </div>
            </div>
            <div class="separator" style="width: 100%; height: 26px"></div>
          </div>
            </div>
          </div>
          <div class="advanceOption" *ngIf="advanceOptionText" (click)="advanceOption()">Advanced Option</div>
          <div *ngIf="advanceOptionField">
            <div class="row">
              <div class="col-6">
                <div class="form-group pt-3">
                  <select class="form-control" style="width: 100%;" name="duration"  formControlName="duration" >
                    <option *ngFor="let duration of stockPreOrderDetail.duration" [value]="duration" >{{duration}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>
            <div class="content">
              <div class="row mt-3">
                <div class="col-6">
                  <div class="pr-1 value gain-color">${{stockPreOrderDetail.accountBalance}}</div>
                  <div class="title">Cash Available</div>
                </div>
                
              </div>
              <div class="d-flex justify-content-between mt-4">
                <div class="mr-3">Qty: {{stockPreOrderDetail.quantity}}</div>
                <div>Buy Price: <div class="d-inline market-status mr-3" [ngClass]="{'gain-color': stockPreOrderDetail.avgPrice > 0 , 'loss-color':stockPreOrderDetail.avgPrice < 0  }" >{{stockPreOrderDetail.avgPrice | number : '1.2-2' | signCurrency}}</div></div>
              </div>
          </div>

        </div>
        <div class="modal-footer">
          <button type="submit" class="btn" [ngClass]="{'btn-green': tradeAction === 'BUY', 'btn-red': tradeAction === 'SELL' }">{{getActionText(tradeAction)}}</button>
            <button type="button" class="btn btn-terms" (click)="openTermsModal(termsModal)"><img
              src="assets/icons/info-icon.svg" class="mr-2">Term Definitions</button>
        </div>
      </div>
    </form>
  </ng-template>
  <ng-template #SuccessModal let-c="close" let-d="dismiss">
    <div class="BuyStocksmodal"> 
      <div class="modal-header">
        <div class="header">
          <span class=" pb-1" id="modal-basic-title">Purchase request for {{investmentDetails?.company_symbol}} is submitted.</span>
          <span class="pb-1">  You can check status for this under <span style="text-decoration-line: underline; color: blue; cursor: pointer;" (click)="handleNavigateOrderStatus()">Order</span></span>
          <!-- <span>$131.75</span><span class="px-3 clr">+$81.52</span><span class="clr">1.13%</span> -->
        </div>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    </div>
  </ng-template>
       <!-- confermation modal -->
       <ng-template #confermModal let-c="close" let-d="dismiss">
        <div class="conferm-modal">
        <div class="modal-header">
          <h4 class="modal-title" id="modal-basic-title">Confirmation</h4>
          <!-- <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
            <span aria-hidden="true">&times;</span>
          </button> -->
        </div>
        <div class="modal-body">
          <div class="basic-info">
            <div class="row mb-3">
              <div class="col-2">
                <span [ngClass]="(tradeAction == 'SELL')? 'selling-status':'buying-status'" >{{tradeAction}}</span>
              </div>
              <div class="col">
                <div class="qty"> Qty : {{orderData.quantity}}</div>
              </div>
            </div>
            <div class="row mb-3">
              <div class="col">
              <div class="title">
                {{stockPreOrderDetail.name}}
              </div>
            </div>
            </div>
            <div class="row mb-5">
              <div class="col">
                <span class="text mr-3">Estimated Total</span> <span class="value"> ${{orderData.orderType != 'Market'? (orderData.price * orderData.quantity) : (investmentDetails?.company_current_price * orderData.quantity)  }}</span>
              </div>
              <div class="col-auto">
                <span class="text mr-3">{{orderData.orderType}}</span> <span class="value">{{orderData.duration}}</span>
              </div>
            </div>
  
            <div class="row">
              <div class="col-12">
                <button class="btn btn-buy" style="background: #196be5 0% 0% no-repeat padding-box;" [disabled]="isSubmitClicked" (click)="onOrderConfirm()">Confirm Trade</button>
              </div>
              <div class="col-12 text-center mt-2">
                <button type="button" class="btn btn-link go-back-btn" (click)="onGoBackConfirm(BuyStocksModal)"><img src="assets/icons/icon-arrow.png" class="mr-2">Go back</button>
  
              </div>
            </div>
  
          </div>
        </div>
      </div>
      </ng-template>
  <!-- terms and condition modal -->
<ng-template #termsModal let-c="close" let-d="dismiss">
  <div class="terms-defination-modal">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title"><img src="assets/icons/info-icon.svg" class="mr-2">Term Definitions</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div *ngFor="let termsDefination of termsDefinationData">
      <div class="heading">{{termsDefination.heading}}</div>
      <div class="text">{{termsDefination.text}}</div>
    </div>
  </div>
</div>
</ng-template>